<?php

/**
 * Install file for RSSFeeds
 *
 * @version $Id: install.php,v 1.11 2004/09/10 15:19:12 rizzo Exp $
 * @author Wendall Cada <wendall911@users.sourceforge.net>
 */

/* return to home page if the user is not the Deity */
if (!$_SESSION["OBJ_user"]->isDeity()){
	header("location:index.php");
	exit();
}

// Need to do core version check
if(version_compare($GLOBALS["core"]->version, "0.9.3-1") < 0) {
    $content .= "This module requires a phpWebSite core version of 0.9.3-1 or greater to install.<br />";
    $content .= "<br />You are currently using phpWebSite core version " . $GLOBALS["core"]->version . ".<br />";
    return;
}

require_once(PHPWS_SOURCE_DIR.'mod/help/class/CLS_help.php');

/* read sql install script, execute it, suppress errors */
if ($GLOBALS['core']->sqlImport(PHPWS_SOURCE_DIR."mod/phpwsrssfeeds/boost/install.sql", TRUE, TRUE)) {

	/* if successful, report the fact */
	$content = $_SESSION['translate']->it("All RSS Feeds tables successfully written.") . "<br />";
	$status = 1;
	
	/* register the module with the help system if it's loaded */
	if(CLS_help::setup_help("phpwsrssfeeds"))
		$content .= $_SESSION['translate']->it("RSS Feeds successfully registered with Help system.") . "<br />";
    if ($GLOBALS['core']->version < "0.9.3-2"){	
        /* register the module with the search system */
        /* comment out this section if you don't want search included */
        $search['module'] = "phpwsrssfeeds";
        $search['search_class'] = "RSS_ListManager";
        $search['search_function'] = "search";
        $search['search_cols'] = "label or content";
        $search['view_string'] = "&amp;RSS_MAN_op=sView&amp;RSS_id=";
        $search['show_block'] = 1;
        $search['block_title'] = $_SESSION['translate']->it("News Feeds");
        if($GLOBALS['core']->version == "0.9.3-2"){
            if(!$GLOBALS['core']->sqlInsert($search, "mod_search_register")) {
                $content .= $_SESSION['translate']->it("RSS Feeds NOT registered with Search system.") . "<br />";
            } else {
                $content .= $_SESSION['translate']->it("RSS Feeds successfully registered with Search system.") . "<br />";
            }
        }
    }// end of search section
    // Create image directory
    if(mkdir($GLOBALS['core']->home_dir . "images/phpwsrssfeeds"))
        $content .= "phpwsRSSFeeds image directory " . $GLOBALS['core']->home_dir . "images/phpwsrssfeeds successfully created!<br />";
    else
        $content .= "phpwsRSSFeeds could not create the image directory: " . $GLOBALS['core']->home_dir . "images/phpwsrssfeeds<br />You will have to do this manually!<br />";

    if(mkdir($GLOBALS['core']->home_dir . "images/phpwsrssfeeds/thumbs"))
        $content .= "phpwsRSSFeeds image directory " . PHPWS_HOME_DIR . "images/phpwsrssfeeds/thumbs successfully created!<br />";
    else
        $content .= "phpwsRSSFeeds could not create the image directory: " . PHPWS_HOME_DIR . "images/phpwsrssfeeds/thumbs<br />You will have to do this manually!<br />";
    /* Create files directory */
    if(mkdir($GLOBALS['core']->home_dir . "files/phpwsrssfeeds"))
        $content .= "phpwsRSSFeeds files directory " . $GLOBALS['core']->home_dir . "files/phpwsrssfeeds successfully created!<br />";
    else
        $content .= "phpwsRSSFeeds could not create the files directory: " . $GLOBALS['core']->home_dir . "files/phpwsrssfeeds<br />You will have to do this manually!<br />";
} else {
	$content .= $_SESSION['translate']->it("Unable to write to the database.") . "<br />";
	$status = 0;
}

?>
